Commit c2bfa15a authored by Stephen Boyd's avatar Stephen Boyd

make-arm*: Make configuration error message make sense

We will put a "Build Failure" message out even when the arch is
configured incorrectly. Let's have die() take a message to print,
and if it isn't specified just print "Failure" so things make
more sense.
Signed-off-by: 's avatarStephen Boyd <sboyd@codeaurora.org>
parent bdeb8f8b
......@@ -55,11 +55,11 @@ fi
die()
{
echo Build failure
echo ${1:-Failure}
exit 1
}
if test -n "$ARCH" && test "$ARCH" != "arm"
if test -n "$ARCH" -a "$ARCH" != "arm"
then
die "Building for wrong arch"
fi
......@@ -77,7 +77,7 @@ fi
config=arch/arm/configs/${defconfig}
# cp $config ../kobj/.config
make ARCH=arm $O_STR ${defconfig} || die
make ARCH=arm $O_STR ${defconfig} || die "Build failure"
make ARCH=arm $O_STR "$@"
status=$?
......
......@@ -52,11 +52,11 @@ fi
die()
{
echo Build failure
echo ${1:-Failure}
exit 1
}
if test -n "$ARCH" && test "$ARCH" != "arm64"
if test -n "$ARCH" -a "$ARCH" != "arm64"
then
die "Building for wrong arch"
fi
......@@ -74,7 +74,7 @@ fi
config=arch/arm64/configs/${defconfig}
# cp $config ../kobj/.config
make ARCH=arm64 $O_STR ${defconfig} || die
make ARCH=arm64 $O_STR ${defconfig} || die "Build failure"
make ARCH=arm64 $O_STR "$@"
status=$?
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment